function [fname,F_ok] = xurlwrite(url,fname)
%XURLWRITE Temporary URLWRITE replacement.
  
F_ok = 0;
if exist('urlwrite') 
  try
    [F,F_ok] = urlwrite(url,fname);
  catch
    % Catch error case when urlwrite.oct exists but contains only the
    % message 'urlwrite not available in this version of
    % Octave' because Octave was not compiled with the curl libraries.
    % Should F_ok return 0 in this case so the try-catch is not needed?
    F_ok = 0;
  end
end
if (F_ok == 0) || ~exist('urlwrite')
  curlbin = checkdeps('curl');
  wgetbin = checkdeps('wget');
  if ~isempty(curlbin);
    com = sprintf('%s -s %s > %s',curlbin,url,fname);
    system(com);
  elseif ~isempty(wgetbin)
    com = sprintf('%s %s',wgetbin,url,fname);
    system(com);
  else
    error(['pkglist: Function urlread not available and '...
	   'system functions curl and wget were not found by checkdeps.m']);
  end
end
